#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	File
%define		pnam	Slurp
Summary:	File::Slurp - efficient reading/writing of complete files
Summary(pl.UTF-8):	File::Slurp - wydajny odczyt/zapis całych plików
Name:		perl-File-Slurp
Version:	9999.32
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a10ddfcbe153fc8d0076936ee83b98ed
URL:		https://metacpan.org/release/File-Slurp
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 3.01
BuildRequires:	perl-Scalar-List-Utils >= 1.00
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides subs that allow you to read or write entire files
with one simple call. They are designed to be simple to use, have
flexible ways to pass in or get the file contents and to be very
efficient. There is also a sub to read in all the files in a directory
other than . and .. .

Note that these slurp/spew subs work only for files and not for pipes
or stdio. If you want to slurp the latter, use the standard techniques
such as setting $/ to undef, reading <> in a list context, or printing
all you want to STDOUT.

%description -l pl.UTF-8
Ten moduł dostarcza funkcje pozwalające na odczyt lub zapis całych
plików pojedynczym wywołaniem. Zostały zaprojektowane tak, aby były
proste w użyciu, umożliwiały przekazywanie lub pobieranie zawartości
plików w elastyczny sposób oraz były bardzo wydajne. Jest także
funkcja do odczytu wszystkich plików w katalogu innym niż . i .. .

Należy zauważyć, że te funkcje działają tylko dla plików, a nie
potoków czy standardowego wejścia/wyjścia. Dla tych urządzeń pozostają
standardowe techniki, takie jak ustawianie $/ na undef, czytanie <> w
kontekście listy lub pisanie wszystkiego co chcemy na STDOUT.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/File/Slurp.pm
%{_mandir}/man3/File::Slurp.3pm*
%changelog
* Wed May 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Slurp.git;a=log;h=master

* Wed May 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 912fea1
- updated to 9999.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4473626
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> b8e1bfc
- up to 9999.28

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7678ad9
- updated to 9999.19

* Tue Feb 26 2008 Jakub Bogusz <qboosh@pld-linux.org> f3c0b36
- updated to 9999.13

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> c86d902
- up to 9999.12; generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c5e7c1c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b85f8f3
- converted to UTF-8

* Thu May 19 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 917652d
- updated to 9999.09

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 454e111
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> b8b56b9
- updated to 9999.06

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 471aeb9
- license fixes / unification

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 1aa7f95
- updated to 9999.04

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> c5172de
- autoupdated to 9999.03

* Tue Dec 23 2003 misi3k <misi3k@pld-linux.org> fe5ee6e
- updated to 9999.02

* Sun Dec 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 1329622
- updated to 9999.01 (totally new version, but should be compatible with old)

* Sat Oct 25 2003 Jakub Bogusz <qboosh@pld-linux.org> 33a60c4
- updated to 2004.0904, added tests

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 7ca7d9c
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 4d11cf3
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8cd360f
- massive attack: source-md5

